/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW_LYT_INIT_H_
#define NW_LYT_INIT_H_

#include <nw/lyt/lyt_Types.h>

namespace nw
{
namespace os
{

class IAllocator;

}

namespace lyt
{

//
//

//---------------------------------------------------------------------------
//
//
//
//
//
//
//
//
//
//
//
//
//
//---------------------------------------------------------------------------
void Initialize(
    nw::os::IAllocator* pAllocator,
    nw::os::IAllocator* pDeviceMemoryAllocator);

//

} // namespace nw::lyt
} // namespace nw

#endif // NW_LYT_INIT_H_
