﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW_LYT_SUPPLEMENT_H_
#define NW_LYT_SUPPLEMENT_H_

#include <nw/math.h>

namespace nw
{
namespace lyt
{
namespace internal
{

math::MTX44* MTX44Transpose(math::MTX44* pOut, const math::MTX34* pSrc);
math::MTX44* MTX44Mult(math::MTX44* pOut, const math::MTX34* p1, const math::MTX44* p2);

} // namespace nw::lyt::internal
} // namespace nw::lyt
} // namespace nw

#endif // NW_LYT_SUPPLEMENT_H_
