/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

// Input registers map

#define aPosition		v0
#pragma bind_symbol(aPosition,  v0,v0)

#define uProjection		c0
#pragma bind_symbol(uProjection, c0,c3)

#define uModelView		c4
#pragma bind_symbol(uModelView, c4,c7)

// Output registers map

#define vPosition		o0
#pragma output_map(position,    o0)

#define TEMP_POS		r15

main:
    m4x4    TEMP_POS, aPosition, uModelView
    m4x4    vPosition, TEMP_POS, uProjection
    end
endmain:

