/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_G2D_MAIN_H_
#define NW4C_VIEWER_G2D_MAIN_H_

#include <viewer/system/Module.h>
// #include <protocol/ProtocolLayout.h>

namespace vw  {

namespace g2d {

class ModuleG2d : public system::Module
{
//--------public members ------------------------
public:
    // NW4R_UT_RUNTIME_TYPEINFO;
    static ModuleG2d*  GetInstance();

    /* ctor */      ModuleG2d() : system::Module( system::G2D_ID, system::G2D_PRIORITY, system::G2D_SETUP_ORDER ) {}
};


}   /* namespace g2d */
}   /* namespace vw  */



/* NW4C_VIEWER_G2D_MAIN_H_ */
#endif
