/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_SOUND_MODULE_SOUND_H_
#define NW4C_VIEWER_SOUND_MODULE_SOUND_H_

#include <viewer/system/Module.h>
#include <viewer/system/AppId.h>

namespace vw {
namespace snd {

//============================================
// ModuleSound class
//============================================
class ModuleSound : public system::Module
{
public:
    static ModuleSound* GetInstance();
    ModuleSound() : system::Module( system::SOUND_ID, system::SOUND_PRIORITY ) {}
};

}   /* namespace snd */
}   /* namespace vw   */

#endif
