/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_G2D_INFO_SUB_MODE_H_
#define NW4C_VIEWER_G2D_INFO_SUB_MODE_H_

#include "SubMode.h"

namespace vw {
namespace g2d {

// Info sub-mode
class InfoSubMode : public SubModeBase
{
public:
    InfoSubMode();
    virtual ~InfoSubMode();
    virtual bool Main(vw::system::HidStatus& hidStatus);
    virtual void Draw();
    virtual const char* GetModeName() const;
    virtual SubModeType GetModeType() const;
};

}   /* namespace g2d */
}   /* namespace vw  */

#endif
