﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

 #ifndef NW4C_VIEWER_SYSTEM_MEMORY_BLOCK_H_
 #define NW4C_VIEWER_SYSTEM_MEMORY_BLOCK_H_

#if defined(VIEWER_APPLICATION_ONLY)

void* vwmalloc( size_t size );
void* vwcalloc( size_t num, size_t size );
void* vwrealloc( void* p, size_t size );
void  vwfree( void* p );

/* defined(VIEWER_APPLICATION_ONLY) */
#endif

/* NW4C_VIEWER_SYSTEM_MEMORY_BLOCK_H_ */
#endif
