/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4R_VIEWER_SYSTEM_PERFORM_DRAWER_H_
#define NW4R_VIEWER_SYSTEM_PERFORM_DRAWER_H_

#include <viewer.h>

namespace vw     {
namespace system {


/*===========================================================================*
  Name:         PerformDrawer

  Description: Information display management
 *===========================================================================*/
class PerformDrawer
{
public:
    static PerformDrawer* GetInstance();

    /* ctor */      PerformDrawer();

    void            DrawGraph();
    void            DrawMeter();
};


}   /* namespace system */
}   /* namespace vw     */



/* NW4R_VIEWER_SYSTEM_PERFORM_H_ */
#endif
