/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_SYSTEM_VERSION_DRAW_H_
#define NW4C_VIEWER_SYSTEM_VERSION_DRAW_H_

namespace vw     {
namespace system {

void Version_BeginShow( void );
void Version_Draw( void );
void Version_Print( vw::system::FontDrawer* font = NULL );

void Version_SetTitle( const char* fmt, ... );
void Version_VSetTitle( const char* fmt, std::va_list args );


}   /* namespace system */
}   /* namespace vw     */



/* NW4C_VIEWER_SYSTEM_VERSION_DRAW_H_ */
#endif
