/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

// The macros below define the minimum required platform. The "minimum required platform" means:
// Things like the oldest versions of Windows and Internet Explorer having the features required for the application to run.
//  These macros work by enabling all the features that can be used on platforms for the specified version and versions prior to that.
// 

// Change the following definition if you need to specify a target platform earlier than that defined below.
// See MSDN for the latest information on values corresponding to other platforms.

#ifndef WINVER                  // The lowest necessary platform is specified as "Windows XP with SP2".
#define WINVER 0x0502           // Change this to a value appropriate for other Windows versions.
#endif

#ifndef _WIN32_WINNT            // The lowest necessary platform is specified as "Windows XP with SP2".
#define _WIN32_WINNT 0x0502     // Change this to a value appropriate for other Windows versions.
#endif
