﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_EFFECT_SUB_MODE_MANAGER_H_
#define NW4C_VIEWER_EFFECT_SUB_MODE_MANAGER_H_

#include "../../g3d/include/SubModeManager.h"

namespace vw {
namespace effect {

class SubModeManager : public vw::g3d::SubModeManagerBase
{
public:
    static SubModeManager* GetInstance();
    static void Initialize();
    static void Finalize();

protected:
    SubModeManager();
    virtual ~SubModeManager();

    static SubModeManager* m_pInstance;
};


}   /* namespace effect */
}   /* namespace vw  */

#endif
