﻿/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

#ifndef NW4C_VIEWER_G2D_PROTOCOLEXECCTR_H_
#define NW4C_VIEWER_G2D_PROTOCOLEXECCTR_H_

#include <nn.h>
#include <viewer.h>

namespace vw {
namespace g2d {

class ProtocolExecCTR
{
public:
    static ProtocolExecCTR& GetInstance();

    virtual void Initialize() = 0;

    virtual void Finalize() = 0;

    virtual void Main() = 0;

protected:
    ProtocolExecCTR() {}
};

} // namespace g2d
} // namespace vw

#endif // NW4C_VIEWER_G2D_PROTOCOLEXECCTR_H_
