/*---------------------------------------------------------------------------*
  Project:  NintendoWare

  Copyright (C)Nintendo/HAL Laboratory, Inc.  All rights reserved.

  These coded instructions, statements, and computer programs contain proprietary
  information of Nintendo and/or its licensed developers and are protected by
  national and international copyright laws. They may not be disclosed to third
  parties or copied or duplicated in any form, in whole or in part, without the
  prior written consent of Nintendo.

  The content herein is highly confidential and should be handled accordingly.
 *---------------------------------------------------------------------------*/

//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <viewer/sound/ModuleSound.h>


namespace vw {
namespace snd {

///////////////////////////////////////////////////////////////////////////////
// ModuleDummySnd class
// Note: This is a dummy class used to work around an error that occurs when linking ViewerLibrary.
///////////////////////////////////////////////////////////////////////////////
class ModuleDummySnd : public ModuleSound
{
    //-------------------------------------------------------------------------
    // list of friend classes and methods
    //-------------------------------------------------------------------------
    /* NOTHING */

private:
    //-------------------------------------------------------------------------
    // Private variables
    //-------------------------------------------------------------------------
    /* NOTHING */

    //-------------------------------------------------------------------------
    // private methods
    //-------------------------------------------------------------------------
    /* NOTHING */

protected:
    //-------------------------------------------------------------------------
    // protected variables
    //-------------------------------------------------------------------------
    /* NOTHING */

    //-------------------------------------------------------------------------
    // protected methods
    //-------------------------------------------------------------------------
    /* NOTHING */

public:
    //-------------------------------------------------------------------------
    // public variables
    //-------------------------------------------------------------------------
    /* NOTHING */

    //-------------------------------------------------------------------------
    // public methods
    //-------------------------------------------------------------------------
    static ModuleDummySnd* GetInstance()
    {
        static ModuleDummySnd instance;
        return &instance;
    }

    ModuleDummySnd() {}
    ~ModuleDummySnd() {}
    virtual void Init( void ) {}
    virtual void Destory( void ) {}
    virtual void PollStream( void ) {}
    virtual void Main( vw::system::HidStatus &hidStatus ) {}
    virtual void Draw( void ) {}
    virtual void DrawInfo( void ) {}
    virtual bool Available( void ) { return false; }
    virtual bool IsHidden( void ) { return false; }
    virtual void OnModuleFocused( void ) {}
    virtual void OnModuleUnfocused( void ) {}
};

// Returns a dummy class to prevent a link error.
ModuleSound* ModuleSound::GetInstance() { return ModuleDummySnd::GetInstance(); }

} // namespace snd
} // namespace vw

